> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindcase.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Naver Blogs API

> Naver blog posts with title, snippet, author and blog ID. Search by keyword.

`POST /v1/data/naver/blogs/run`

**Pricing:** $0.003 per blog ($3.00 per 1,000).

## Request

Send the inputs under `params`. Only the keys below are accepted; any other key returns `422 invalid_params`.

**queries** `string[]` *required*

One or more search keywords. One request reads them all.

**maxResults** `integer` (default: 100)

How many blogs to return in total. Defaults to 100; use 0 for all.

**sort** `string` (default: relevance)

Sort to use. 정확도순 (best match) by default.

Allowed values: `both` (둘 다 (most results)), `relevance` (정확도순 (best match)), `recency` (최신순 (newest first)).

**dateFrom** `date`

Date From as a date (YYYY-MM-DD).

**dateTo** `date`

Date To as a date (YYYY-MM-DD).

## Example

```bash cURL theme={null}
curl -X POST "https://api.mindcase.co/v1/data/naver/blogs/run?wait=true" \
  -H "Authorization: Bearer $MINDCASE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "params": {
    "queries": [
      "강남 맛집"
    ],
    "maxResults": 10,
    "sort": "relevance"
  }
}'
```

```python Python theme={null}
import os, requests

r = requests.post(
    "https://api.mindcase.co/v1/data/naver/blogs/run",
    params={"wait": "true"},
    headers={"Authorization": f"Bearer {os.environ['MINDCASE_API_KEY']}"},
    json={"params": {
    "queries": [
        "강남 맛집"
    ],
    "maxResults": 10,
    "sort": "relevance"
}},
)
job = r.json()
rows = job.get("data", [])  # if job["status"] == "running", poll /v1/jobs/{job_id}/results
```

```javascript Node.js theme={null}
const r = await fetch("https://api.mindcase.co/v1/data/naver/blogs/run?wait=true", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.MINDCASE_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({ params: {
  "queries": [
    "강남 맛집"
  ],
  "maxResults": 10,
  "sort": "relevance"
} }),
});
const job = await r.json();
const rows = job.data ?? []; // if job.status === "running", poll /v1/jobs/{job_id}/results
```

## Response fields

Each row in `data` is one blog, keyed by these fields.

| Field | Name | Type |
| - | - | - |
| `postUrl` | Post URL | url |
| `postId` | Post ID | text |
| `blogId` | Blog ID | text |
| `keyword` | Keyword | text |
| `title` | Title | text |
| `snippet` | Snippet | text |
| `authorName` | Author Name | text |
| `blogName` | Blog Name | text |
| `authorUrl` | Author URL | url |
| `authorAvatar` | Author Avatar | image |
| `posted` | Posted | text |
| `category` | Category | text |
| `selfPaid` | Self Paid | boolean |
| `marketPost` | Market Post | boolean |
| `postText` | Post Text | text |
| `images` | Images | array |
| `places` | Places | object\_array |
| `links` | Links | object\_array |
| `videos` | Videos | object\_array |

## Example response

Abridged: long text and lists are shortened.

```json theme={null}
{
  "job_id": "7f3a1c2e-0b9d-4c55-9a51-3f2e8d1b6a40",
  "agent": "naver/blogs",
  "status": "completed",
  "row_count": 1,
  "truncated": false,
  "data": [
    {
      "images": [
        "https://postfiles.pstatic.net/MjAyNjExMDdfNjQg/MDAxNzk0MDQ4NDIyMDE0.durEGy34RuBXV_wKuO7-OnSa5BFFrcNFQwfJlsx85t8g.Dih-HqO3nf57Y9kho3uWKjsqwUe-kLcK8DA8KPBPnwAg...",
        "https://postfiles.pstatic.net/MjAyNjExMDdfNzcg/MDAxNzk0MDQ5MTI4Mzcx.294--qAZfFpVQBvd6YH66oqL6EXMIPHEUHUtOCRqCjMg.JPZuIS2HX3t3IOXCeAsZ0AhFJ--y6nfpcyhRswz-IyAg..."
      ],
      "blogName": "픽셀마케팅 | 마케팅 유목민 생활 접게 해드릴게요",
      "marketPost": false,
      "authorAvatar": "https://blogpfthumb-phinf.pstatic.net/MjAyNTA1MTlfMTQx/MDAxNzQ3NjU1MTYzODYz.dGXc8OH56SdF25ANbkRMwPXMuWFwOjj0J8kJxQb6I7kg.vIEJblARvELGpCmGm1GhbMMm9OT18gq7xSJY...",
      "videos": [
        {
          "title": "강남 오마카세 맛집, 기념일에 안 가면 후회할 가성비 끝판왕 스시소기",
          "url": null,
          "thumbnailUrl": "https://phinf.pstatic.net/image.nmv/blog_2026_11_07_1331/FqrbCLbZcY_01.jpg",
          "provider": "Naver"
        }
      ],
      "posted": "2026-11-07T20:35:00+09:00",
      "postText": "강남 오마카세 맛집,\n\n기념일에 안 가면 후회할 가성비 끝판왕\n\n스시소기\n\n일단 여긴 안 가면 손해 보는 곳이에요\n\n며칠 전 친한 친구의 생일이라 친구가 좋아하는\n\n오마카세를 찾다가 가성비까지 좋다는\n\n후기들을 보고 예약하고 다녀왔어요\n\n와… 전 정말 많은 맛집들을 다녀봤지만,\n\n...",
      "authorName": "픽셀마케팅",
      "places": [
        {
          "name": "스시소기",
          "address": "서울특별시 강남구 강남대로154길 21 202호",
          "placeId": "1410815404",
          "latitude": "37.5179853",
          "longitude": "127.0208681",
          "phone": null
        }
      ],
      "blogId": "emotionquilt",
      "postUrl": "https://blog.naver.com/emotionquilt/224468546044",
      "category": "EAT",
      "snippet": "좋고, 강남 기념일 맛집을 찾는 분들에게도 잘 어울리는 분위기였어요 3. 영업시간 스시소기는 런치와 디너 코스로 운영되는 곳이에요 매일 12시부터 22시까지이고, 런치는 12시 시작, 디너는 1부 18시와 2부 20시로 진행되어요 예약은 캐치테이블을 통해 가능하고, 주말이나 기념일...",
      "authorUrl": "https://blog.naver.com/emotionquilt",
      "keyword": "강남 맛집",
      "selfPaid": false,
      "links": [],
      "title": "강남 오마카세 맛집, 기념일에 안 가면 후회할 가성비 끝판왕 스시소기",
      "postId": "224468546044"
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.